APIActivities

Create an activity

Creates an activity in the authenticated organization. `interaction_type` defaults to `custom`. Supply `external_id` to make the call idempotent.

POST
/v1/activities

Creates an activity in the authenticated organization. interaction_type defaults to custom. Supply external_id to make the call idempotent.

X-Api-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/activities" \  -H "Content-Type: application/json" \  -d '{    "content": "Had a productive call about Q3 expansion plans."  }'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "content": "string",
    "interaction_type": "email",
    "external_id": "string",
    "direction": "inbound",
    "source": "string",
    "tags": [
      "string"
    ],
    "date_time": "2019-08-24T14:15:22Z",
    "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",
    "contact_ids": [
      "f4ae0292-6c1e-4caf-903f-b55ea2c1670a"
    ],
    "opportunity_ids": [
      "442ff20a-27ed-4afe-8d6e-bbeed36d9e69"
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "created": true
}
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "content": "string",
    "interaction_type": "email",
    "external_id": "string",
    "direction": "inbound",
    "source": "string",
    "tags": [
      "string"
    ],
    "date_time": "2019-08-24T14:15:22Z",
    "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",
    "contact_ids": [
      "f4ae0292-6c1e-4caf-903f-b55ea2c1670a"
    ],
    "opportunity_ids": [
      "442ff20a-27ed-4afe-8d6e-bbeed36d9e69"
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "created": true
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}